varying vec3 V_eye;
varying vec3 L_eye;
varying vec3 N_eye;

void main(void)
{
	vec3 V = normalize(V_eye);
	vec3 L = normalize(L_eye);
	vec3 N = normalize(N_eye);

	float NdotL = dot(L, N);
	
	// Ambient light
	gl_FragColor = gl_Color*0.2;

	if (NdotL>0.0)
	{
		// Diffuse light
		gl_FragColor += gl_Color*NdotL;

		// Specular light
		vec3 R = (2.0*NdotL)*N - L;
		gl_FragColor += pow(max(0.0, dot(R, V)), 64.0);
	}
}

